=== debian/changelog ===
astc-encoder (4.7.0+ds-2build3) noble; urgency=medium

  * No-change rebuild against libstb0t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:56:53 +0100

astc-encoder (4.7.0+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:41:23 +0000

astc-encoder (4.7.0+ds-2build1) noble; urgency=medium

  * No-change rebuild against libstb0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:54:12 +0000

astc-encoder (4.7.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Run full test suite in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Jan 2024 21:16:30 +0100

astc-encoder (4.7.0+ds-1) experimental; urgency=medium

  * New upstream version 4.7.0+ds
  * Update patches
    - Drop 0007-Add-missing-limits-include.patch (merged upstream)
    - Drop 0009-Prevent-unit-test-failures-due-to-rounding-errors.patch
      (rejected)
  * Bump minimum version for symbols
  * Do not run test suite on i386 (officially unsupported)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Jan 2024 22:00:37 +0100

astc-encoder (4.6.0+ds-2) experimental; urgency=medium

  * Make unit tests more robust

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Nov 2023 22:09:38 +0100

astc-encoder (4.6.0+ds-1) experimental; urgency=medium

  * New upstream version 4.6.0+ds
  * Reformat d/control
  * Bump SONAME to 5d

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Nov 2023 23:22:58 +0100
