=== debian/control ===
Source: astc-encoder
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtest-dev <!nocheck>,
 libstb-dev,
 libtinyexr-dev,
 libz-dev,
 pkg-config <!nocheck>,
Homepage: https://github.com/ARM-software/astc-encoder
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/astc-encoder.git
Vcs-Browser: https://salsa.debian.org/roehling/astc-encoder
Description: ASTC image compression and decompression
 The Adaptive Scalable Texture Compression (ASTC) format, developed by
 Arm® and AMD, has been adopted as an official extension to the Open GL®,
 OpenGL ES, and Vulkan® graphics APIs. It provides a major step forward
 both in terms of image quality at a given bitrate, and in terms of the
 format and bitrate flexibility available to content creators. This
 allows more assets to use compression, often at a reduced bitrate
 compared to legacy formats, reducing memory bandwidth and energy
 consumption.

Package: astcenc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} tool
 ${source:Extended-Description}
 .
 This package provides the command-line tool to compress and decompress
 images.

Package: libastcenc5d
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis} library
 ${source:Extended-Description}
 .
 This package provides the runtime library for ASTC support.

Package: libastcenc-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libastcenc5d (= ${binary:Version}),
Multi-Arch: same
Description: ${source:Synopsis} library headers
 ${source:Extended-Description}
 .
 This package provides the development headers to include ASTC support
 in other applications.
