=== debian/tests/control ===
Tests: test-suite
Depends: libastcenc-dev, libgtest-dev, cmake, g++ | c++-compiler
Architecture: !i386
Restrictions: allow-stderr
