## astc-encoder 4.8.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,10 +21,11 @@
 cmake_policy(SET CMP0091 NEW)  # MSVC runtime support
 
 if(MSVC)
-    add_compile_options("/wd4324") # Disable structure was padded due to alignment specifier
+    # Disable structure was padded due to alignment specifier
+    add_compile_options("/wd4324")
 endif()
 
-project(astcencoder VERSION 4.7.0)
+project(astcencoder VERSION 4.8.0)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -44,6 +45,7 @@
 option(ASTCENC_SHAREDLIB "Enable astcenc builds with core library shared objects")
 option(ASTCENC_DIAGNOSTICS "Enable astcenc builds with diagnostic trace")
 option(ASTCENC_ASAN "Enable astcenc builds with address sanitizer")
+option(ASTCENC_UBSAN "Enable astcenc builds with undefined behavior sanitizer")
 option(ASTCENC_UNITTEST "Enable astcenc builds with unit tests")
 option(ASTCENC_INVARIANCE "Enable astcenc floating point invariance" ON)
 option(ASTCENC_CLI "Enable build of astcenc command line tools" ON)
@@ -129,6 +131,7 @@
 printopt("Decompressor   " ${ASTCENC_DECOMPRESSOR})
 printopt("Diagnostics    " ${ASTCENC_DIAGNOSTICS})
 printopt("ASAN           " ${ASTCENC_ASAN})
+printopt("UBSAN          " ${ASTCENC_UBSAN})
 printopt("Unit tests     " ${ASTCENC_UNITTEST})
 
 # Subcomponents
