=== debian/changelog ===
astc-encoder (4.8.0+ds-1) unstable; urgency=medium

  * New upstream version 4.8.0+ds
  * Update d/copyright
  * Bump Standards-Version to 4.7.0
  * Refresh patches (no functional changes)
  * Build-depend on pkgconf instead of pkg-config

 -- Timo Röhling <roehling@debian.org>  Tue, 14 May 2024 13:14:56 +0200
