=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: astc-encoder
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
+Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -10,9 +9,9 @@
  libstb-dev,
  libtinyexr-dev,
  libz-dev,
- pkg-config <!nocheck>,
+ pkgconf <!nocheck>,
 Homepage: https://github.com/ARM-software/astc-encoder
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/astc-encoder.git
 Vcs-Browser: https://salsa.debian.org/roehling/astc-encoder
