=== debian/changelog ===
astc-encoder (5.1.0+ds-2) unstable; urgency=medium

  * Fix FTBFS with s390x (big endian issue)

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Dec 2024 08:42:46 +0100

astc-encoder (5.1.0+ds-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 5.1.0+ds
  * Update patches
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Dec 2024 13:34:00 +0100
