=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  libgtest-dev <!nocheck>,
  libstb-dev,
  libtinyexr-dev,
@@ -36,6 +36,19 @@
  This package provides the command-line tool to compress and decompress
  images.
 
+Package: libastcenc-dev
+Section: libdevel
+Architecture: any
+Depends:
+ libastcenc5d (= ${binary:Version}),
+ ${misc:Depends},
+Multi-Arch: same
+Description: ${source:Synopsis} library headers
+ ${source:Extended-Description}
+ .
+ This package provides the development headers to include ASTC support
+ in other applications.
+
 Package: libastcenc5d
 Section: libs
 Architecture: any
@@ -47,16 +60,3 @@
  ${source:Extended-Description}
  .
  This package provides the runtime library for ASTC support.
-
-Package: libastcenc-dev
-Section: libdevel
-Architecture: any
-Depends:
- ${misc:Depends},
- libastcenc5d (= ${binary:Version}),
-Multi-Arch: same
-Description: ${source:Synopsis} library headers
- ${source:Extended-Description}
- .
- This package provides the development headers to include ASTC support
- in other applications.
