=== debian/changelog ===
astc-encoder (5.2.0+ds-1) unstable; urgency=medium

  * New upstream version 5.2.0+ds
  * Update d/copyright and d/symbols
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Mar 2025 09:23:15 +0100
