=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libz-dev,
  pkgconf <!nocheck>,
 Homepage: https://github.com/ARM-software/astc-encoder
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/astc-encoder.git
 Vcs-Browser: https://salsa.debian.org/roehling/astc-encoder
