=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs
export DEB_CXXFLAGS_MAINT_APPEND = -DASTCENC_NEON=0

SOVERSION := 5d
UNITTEST := $(if $(or $(filter i386 %-i386,$(DEB_HOST_ARCH)),$(filter nocheck,$(DEB_BUILD_OPTIONS))),OFF,ON)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DASTCENC_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+ds.*//') \
		-DASTCENC_SOVERSION=$(SOVERSION) \
		-DASTCENC_UNITTEST=$(UNITTEST) \
		-DASTCENC_SHAREDLIB=ON
