## astc-encoder 5.3.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
     add_compile_options("/wd4324")
 endif()
 
-project(astcencoder VERSION 5.2.0)
+project(astcencoder VERSION 5.3.0)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -45,6 +45,7 @@
 option(ASTCENC_ISA_NATIVE "Enable astcenc builds for native SIMD")
 option(ASTCENC_DECOMPRESSOR "Enable astcenc builds for decompression only")
 option(ASTCENC_SHAREDLIB "Enable astcenc builds with core library shared objects")
+option(ASTCENC_BIG_ENDIAN "Enable astcenc big-endian support")
 option(ASTCENC_DIAGNOSTICS "Enable astcenc builds with diagnostic trace")
 option(ASTCENC_ASAN "Enable astcenc builds with address sanitizer")
 option(ASTCENC_UBSAN "Enable astcenc builds with undefined behavior sanitizer")
@@ -52,6 +53,7 @@
 option(ASTCENC_INVARIANCE "Enable astcenc floating point invariance" ON)
 option(ASTCENC_CLI "Enable build of astcenc command line tools" ON)
 option(ASTCENC_X86_GATHERS "Enable use of native x86 gathers" ON)
+option(ASTCENC_WERROR "Force builds to treat warnings as errors" ON)
 
 # Preflight for some macOS-specific build options
 if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
@@ -137,6 +139,9 @@
     printopt("Universal bin      " ${ASTCENC_UNIVERSAL_BUILD})
 endif()
 printopt("Invariance         " ${ASTCENC_INVARIANCE})
+if(${ASTCENC_BIG_ENDIAN})
+    printopt("Big endian         " ${ASTCENC_BIG_ENDIAN})
+endif()
 printopt("Shared libs        " ${ASTCENC_SHAREDLIB})
 printopt("Decompressor       " ${ASTCENC_DECOMPRESSOR})
 message(STATUS "Developer options")
