=== debian/changelog ===
astc-encoder (5.3.0+ds-5) unstable; urgency=medium

  * Make autopkgtest endianness aware (Closes: #1111975)

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Sep 2025 21:48:36 +0200

astc-encoder (5.3.0+ds-4) unstable; urgency=medium

  * Copy missing file to fix autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 09:59:28 +0200

astc-encoder (5.3.0+ds-3) unstable; urgency=medium

  * Define ASTCENC_BIG_ENDIAN for all backends

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Aug 2025 11:25:23 +0200

astc-encoder (5.3.0+ds-2) unstable; urgency=medium

  * Properly handle big endian architectures

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Aug 2025 10:01:38 +0200

astc-encoder (5.3.0+ds-1) unstable; urgency=medium

  * New upstream version 5.3.0+ds
  * Update patches.
    Obsolete: 0002-Do-not-build-with-Werror.patch
  * Wrap and sort Debian package files
  * Disable warnings as errors via new upstream build option

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Aug 2025 09:21:17 +0200
