=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,6 @@
 		-DASTCENC_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+ds.*//') \
 		-DASTCENC_SOVERSION=$(SOVERSION) \
 		-DASTCENC_UNITTEST=$(UNITTEST) \
+		-DASTCENC_WERROR=OFF \
+		-DASTCENC_BIG_ENDIAN=$(if $(filter big,$(DEB_HOST_ARCH_ENDIAN)),ON,OFF) \
 		-DASTCENC_SHAREDLIB=ON
