=== debian/tests/control ===
Tests:
 test-suite,
Depends:
 cmake,
 g++ | c++-compiler,
 libastcenc-dev,
 libgtest-dev,
Architecture: !i386
Restrictions:
 allow-stderr,
